Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Decision model REST API
  • Retrieve a decision model

Retrieve a decision model

GET /v2/decisionModelDefinitions/<decisionModelRef>

Retrieves a decision model.

Attribute

Type

Description

Example

decisionModelRef

string

The reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.

865ce079-6012-4f97-bc46-07215691a178

RequestResponse
curl -X GET '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
RequestResponse
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178",
    "ref": "865ce079-6012-4f97-bc46-07215691a178",
    "name": "TEST_1539184400561_PP_1",
    "modifiedByUserRef": "843c775e-db9c-49f6-9f56-e3999123bcf4",
    "modifiedAt": "2025-10-10T15:14:40.233Z",
    "revision": 3,
    "archived": false,
    "deploymentConfiguration": {
        "variants": [
            {
                "variantRef": "19700f15-4069-4121-b709-1031118677c8",
                "split": 80,
                "status": "PRODUCTION",
                "variantRevision": 1
            },
            {
                "variantRef": "42e882a5-c8a8-4149-be76-343409d10c1c",
                "split": 20,
                "status": "PRODUCTION",
                "variantRevision": 1
            }
        ]
    },
    "variants": {
        "href": "<baseURL>/v2/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/variants"
    },
    "revisions": {
        "href": "<baseURL>/v2/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/revisions"
    }
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore